using System.Collections.Generic;

namespace GxPress.Common.Page
{
    /// <summary>
    ///     分页数据实体类
    /// </summary>
    /// <typeparam name="TItem">数据对象的实体类型</typeparam>
    public class PagedList<TItem>
    {
        /// <summary>
        ///     当前页的数据
        /// </summary>
        public IEnumerable<TItem> Items { get; set; }

        /// <summary>
        ///     总数
        /// </summary>
        public int Total { get; set; }
        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollect { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 权限
        /// </summary>
        /// <value></value>
        public int RoleId { get; set; }
        /// <summary>
        /// 作者
        /// </summary>
        /// <value></value>
        public string Author { get; set; }
    }
}