using System.Data;
using Datory.Annotations;
using GxPress.EnumConst;

namespace GxPress.Entity
{
    /// <summary>
    /// 管理员验证
    /// </summary>
    [DataTable("tede_admin_verify")]
    public class AdminVerify : Datory.Entity
    {
        /// <summary>
        /// 类型 1 单聊 2群聊 3小组 4 好友
        /// </summary>
        [DataColumn]
        public GroupTypeConst VerifyType { get; set; }

        /// <summary>
        /// 处理状态  0未处理 1 成功 2 拒绝
        /// </summary>
        [DataColumn]
        public int DisposeType { get; set; }

        /// <summary>
        /// 群主ID 针对人的ID
        /// </summary>
        [DataColumn]
        public int AdminId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 来源ID 群聊 小组
        /// </summary>
        [DataColumn]
        public int SourceId { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [DataColumn]
        public string Name { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        [DataColumn]
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [DataColumn]
        public string Remark { get; set; }
        /// <summary>
        /// 来源状态 1申请 2邀请
        /// </summary>
        [DataColumn]
        public int SourceType { get; set; }
        /// <summary>
        /// 来源名称
        /// </summary>
        [DataColumn]
        public string SourceName { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        [DataColumn]
        public string IsDelete { get; set; }

        /// <summary>
        /// 自己分组ID
        /// </summary>
        [DataColumn]
        public int AddressBookGroupId { get; set; }
    }
}
