using Datory.Annotations;

namespace GxPress.Entity.Analyze
{
    /// <summary>
    /// 文章的分析包含了 收藏 点赞 转发 评论点赞
    /// </summary>
    [DataTable("tede_analyze")]
    public class Analyze : Datory.Entity
    {
        /// <summary>
        /// 来源ID
        /// </summary>
        [DataColumn]
        public int SourceId { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        [DataColumn]
        public int CommentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID (1 文章点赞,2评论点赞,3收藏,4转发)
        /// </summary>
        [DataColumn]
        public int AnalyzeType { get; set; }
        /// <summary>
        /// 状态 10 会议纪要 0 文章 1 话题 2 通知 3 笔记  4站内信
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeValue { get; set; }
        /// <summary>
        /// 收藏 笔记对应的用户ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SourceUserId { get; set; }
    }
}