using GxPress.EnumConst;
using Datory.Annotations;

namespace GxPress.Entity.Middle
{
    /// <summary>
    /// 中间表
    /// </summary>
    [DataTable("tede_middle")]
    public class Middle : Datory.Entity
    {
        /// <summary>
        /// 文件夹名称
        /// </summary>
        [DataColumn]
        public string FolderName { get; set; }
        /// <summary>
        /// 文件夹类型 2话题 3 收藏 4笔记 5通知 6站内信 7小组  12 收藏文件夹 13笔记文件夹 14工作流审批  21 新版话题 100 文章 300 文件 301图片 400会议纪要 500会议详情 601 财务报表 602人事报表 603 出版报表 20我审批的 30我发出的 40抄送我的 10信源聊天
        /// </summary>
        [DataColumn]
        public int FolderType { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn]
        public bool IsTop { get; set; }

        /// <summary>
        /// 文件夹权限 1 普通 2 私有 3 共享
        /// </summary>
        [DataColumn]
        public int RoleId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 中间件ID 根据FolderType
        /// </summary>
        [DataColumn]
        public int MiddleId { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        [DataColumn]
        public int ParentId { get; set; }

        /// <summary>
        /// 属性值  1 普通 2文件夹 3 验证
        /// </summary>
        [DataColumn]
        public int AttributeValue { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 子集ID
        /// </summary>
        [DataColumn]
        public int MiddleSonId { get; set; }

        /// <summary>
        /// 是否阅读
        /// </summary>
        [DataColumn]
        public bool IsRead { get; set; }

        /// <summary>
        /// 手机人状态 1 接收 2 草稿
        /// </summary>
        [DataColumn]
        public NoticeTypeConst NoticeAddresseeType { get; set; }

        /// <summary>
        /// 是否管理员
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        [DataColumn]
        public bool IsDelete { get; set; }
        /// <summary>
        /// 是否默认 话题发布范围
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDefault { get; set; }
        /// <summary>
        /// 是否上传
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsUpload { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Title { get; set; }

        /// <summary>
        /// 长标题标题
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string TitleLong { get; set; }

        /// <summary>
        /// 长标题 长内容
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Content { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string AddressUser { get; set; }

        /// <summary>
        /// 抄送人
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string CcUser { get; set; }

        /// <summary>
        /// 完整收件人
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string AddressUserComplete { get; set; }

        /// <summary>
        /// 完整抄送人
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string CcUserComplete { get; set; }
        /// <summary>
        /// 是否撤回
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsRecall { get; set; }
        /// <summary>
        /// 是否系统默认
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsSystemDefault { get; set; }
    }
}
