using Datory.Annotations;

namespace GxPress.Entity.Note
{
    /// <summary>
    /// 个人笔记
    /// </summary>
    [DataTable("tede_note")]
    public class Note : Datory.Entity
    {
        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn]
        public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn]
        public string HtmlContent { get; set; }
        /// <summary>
        /// 用户
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 阅读数量
        /// </summary>
        [DataColumn]
        public int ReadCount { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDelete { get; set; }
        /// <summary>
        /// 是否是话题
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsTopic { get; set; }
        /// <summary>
        /// 共享文件夹ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int FolderId { get; set; }
        /// <summary>
        /// 媒体ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int MediaId { get; set; }

        /// <summary>
        /// 媒体类型
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int MediaType { get; set; }
        /// <summary>
        /// 目录ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string CatalogId { get; set; }
        /// <summary>
        /// 章节ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string ChapterId { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsTop { get; set; }
    }
}
