using GxPress.EnumConst;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 通知
    /// </summary>
    [DataTable("tede_notice")]
    public class Notice : Datory.Entity
    {
        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn(Text = true)]
        public string Content { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn]
        public string HtmlContent { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        [DataColumn]
        public string UserName { get; set; }

        /// <summary>
        /// 类型 (1 发送 2 草稿)
        /// </summary>
        [DataColumn]
        public NoticeTypeConst NoticeType { get; set; }
        /// <summary>
        ///  5 通知 6站内信 15 我审批的 16 我发出的 17 抄送我的 
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeValue { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        [DataColumn]
        public bool IsDelete { get; set; }

        /// <summary>
        /// 父级ID用于回复
        /// </summary>
        [DataColumn]
        public int ParentId { get; set; }

        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn]
        public bool IsTop { get; set; }

        /// <summary>
        /// 来源Id
        /// </summary>
        [DataColumn]
        public int SourceId { get; set; }
        /// <summary>
        /// 子集
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SonId { get; set; }
        /// <summary>
        ///发起用户名
        /// </summary>
        [DataColumn]
        public int SendUserName { get; set; }
        /// <summary>
        /// 发起用户名id
        /// </summary>
        [DataColumn]
        public string SendUserId { get; set; }
        /// <summary>
        /// 是否撤回
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsRecall { get; set; }
    }
}
