using System;
using System.Collections.Generic;
using System.Text;
using GxPress.EnumConst;

namespace GxPress.Request.App.Middle
{
    /// <summary>
    /// 
    /// </summary>
    public class MiddleInsertRequest
    {
        /// <summary>
        /// 文件夹名称
        /// </summary>
        public string FolderName { get; set; }

        /// <summary>
        /// 文件夹类型 1 通知 2小组 3 收藏 4笔记 5 普通站内信 6匿名站内信 7小组
        /// </summary>
        public int FolderType { get; set; }


        /// <summary>
        /// 文件夹权限 1 普通 2 私有 3 共享
        /// </summary>
        public int RoleId { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        public int ParentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 共享人员ID
        /// </summary>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 新版人员选择
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> UserMiddles { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public MiddleInsertRequest()
        {
            UserIds = new List<int>();
            UserMiddles = new List<UserMiddle.UserMiddleInRequest>();
        }
    }

    /// <summary>
    /// 修改名称
    /// </summary>
    public class MiddleUpdateNameRequest
    {
        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int MiddleId { get; set; }
        /// <summary>
        /// 文件夹名称
        /// </summary>
        public int FolderName { get; set; }
    }

    /// <summary>
    /// 添加信息
    /// </summary>
    public class MiddleInsertTypeRequest
    {

        /// <summary>
        /// 文件夹类型 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信 7小组
        /// </summary>
        public int FolderType { get; set; }
        /// <summary>
        /// 属性值 1 普通 2文件夹 3 验证
        /// </summary>
        public int AttributeValue { get; set; }
        /// <summary>
        /// 中间件ID 根据FolderType
        /// </summary>
        public int MiddleId { get; set; }

        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int FolderId { get; set; }
        /// <summary>
        /// 用户信息
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 子集ID
        /// </summary>
        public int MiddleSonId { get; set; }
        /// <summary>
        /// 是否管理员
        /// </summary>
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        public bool IsTop { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        public NoticeTypeConst NoticeAddresseeType { get; set; }

        /// <summary>
        /// 是否阅读
        /// </summary>
        public bool IsRead { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }

        /// <summary>
        /// 长标题标题
        /// </summary>
        /// <value></value>
        public string TitleLong { get; set; }

        /// <summary>
        /// 长标题 长内容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }
        /// <summary>
        /// 收件人
        /// </summary>
        /// <value></value>
        public string AddressUser { get; set; }
        /// <summary>
        /// 抄送人
        /// </summary>
        /// <value></value>
        public string CcUser { get; set; }
        /// <summary>
        /// 完整收件人
        /// </summary>
        /// <value></value>
        public string AddressUserComplete { get; set; }
        /// <summary>
        /// 完整抄送人
        /// </summary>
        /// <value></value>
        public string CcUserComplete { get; set; }
    }
}
