using System;
using System.Collections.Generic;

namespace GxPress.Result.User
{
    /// <summary>
    /// 用户基本信息
    /// </summary>
    public class UserInfoResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }

        public string DepartmentName { get; set; }
        /// <summary>
        /// 手机
        /// </summary>

        public string Phone { get; set; }
        /// <summary>
        /// 昵称
        /// </summary>

        public string Nick { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>

        public string Name { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>

        public string AvatarUrl { get; set; }

        /// <summary>
        /// 性别
        /// Gender
        /// </summary>

        public string Gender { get; set; }

        /// <summary>
        /// 角色id
        /// </summary>

        public int RoleId { get; set; }

        /// <summary>
        /// 部门id
        /// </summary>

        public int DepartmentId { get; set; }
        /// <summary>
        /// 部门ids
        /// </summary>

        public IEnumerable<int> DepartmentIds { get; set; }

        /// <summary>
        /// 职位
        /// </summary>

        public string Position { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>

        public string Email { get; set; }

        /// <summary>
        /// 签名
        /// </summary>

        public string Signature { get; set; }

        /// <summary>
        /// 自我介绍
        /// </summary>

        public string Description { get; set; }

        /// <summary>
        /// 是否是领导
        /// </summary>

        public int IsLeader { get; set; }

        /// <summary>
        /// 入职时间
        /// </summary>

        public DateTime EntryDataTime { get; set; }
        /// <summary>
        /// 城市
        /// </summary>

        public string City { get; set; }
        /// <summary>
        /// 是否接收私信
        /// </summary>

        public bool IsPrivateLetter { get; set; }
        /// <summary>
        /// 是否接收通知
        /// </summary>

        public bool IsNotice { get; set; }
        /// <summary>
        /// 是否接收回复
        /// </summary>

        public bool IsReply { get; set; }
        /// <summary>
        /// 是否静音
        /// </summary>

        public bool IsMute { get; set; }
        /// <summary>
        /// 是否震动
        /// </summary>

        public bool IsShake { get; set; }
        /// <summary>
        /// 环信ID
        /// </summary>

        public string ImId { get; set; }
        /// <summary>
        /// 二维码
        /// </summary>

        public string QRCoder { get; set; }
        /// <summary>
        /// 是否上传
        /// </summary>
        /// <value></value>

        public bool IsUpload { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>

        public bool IsDisable { get; set; }
        /// <summary>
        /// 微信唯一标示码
        /// </summary>
        /// <value></value>

        public string OpenId { get; set; }
        /// <summary>
        /// 是否VIP
        /// </summary>
        /// <value></value>

        public bool IsVip { get; set; }
        /// <summary>
        /// 会员类型 月卡 季卡 年卡
        /// </summary>
        /// <value></value>

        public int TypeId { get; set; }
        /// <summary>
        /// 终端 pc android ios
        /// </summary>
        /// <value></value>

        public int Port { get; set; }
        /// <summary>
        /// 会员开始时间
        /// </summary>
        /// <value></value>

        public DateTime BeginTime { get; set; }
        /// <summary>
        /// 会员结束时间
        /// </summary>
        /// <value></value>

        public DateTime EndTime { get; set; }
        /// <summary>
        /// 累计价格
        /// </summary>
        /// <value></value>

        public decimal AccumulativePrice { get; set; }
        /// <summary>
        /// 是否自动续费
        /// </summary>
        /// <value></value>

        public bool IsRenewal { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        public string Remark { get; set; }

        /// <summary>
        /// 是否冻结 
        /// </summary>
        /// <value></value>

        public bool IsFreeze { get; set; }
    }
}
