using System.Collections.Generic;

namespace GxPress.Result.User
{
    /// <summary>
    /// 用户结果
    /// </summary>
    public class UserResult
    {
        /// <summary>
        /// 用户id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 手机
        /// </summary>
        public string Phone { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 性别
        /// Gender
        /// </summary>
        public string Gender { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        public string Email { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        public string DepartmentName { get; set; }
        /// <summary>
        /// 角色名称
        /// </summary>
        public string RoleName { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        public IEnumerable<int> DepartmentIds { get; set; }
        /// <summary>
        /// 角色ID
        /// </summary>
        public int RoleId { get; set; }
        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }
    }
    /// <summary>
    /// 用户通讯录  
    /// </summary>
    public class UserLinkResult
    {
        /// <summary>
        /// 用户通讯录
        /// </summary>
        /// <value></value>
        public List<UserLinkModelResult> Items { get; set; }
        /// <summary>
        /// 好友
        /// </summary>
        /// <value></value>
        public IEnumerable<UserInfoResult> FriendUsers { get; set; }
        /// <summary>
        /// 最近聊天用户
        /// </summary>
        /// <value></value>
        public IEnumerable<UserInfoResult> LatelyChatUsers { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class UserLinkModelResult
    {
        /// <summary>
        /// 用户通讯录  0 用户 1 单位通讯录 2系统通讯录 3 自建通讯录
        /// </summary>
        /// <value></value>
        public int TypeId { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 数据ID
        /// </summary>
        /// <value></value>
        public List<UserLinkModelAttributeResult> Items { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class UserLinkModelAttributeResult
    {
        /// <summary>
        /// Id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 1 我的小组 2我的群聊 3我的课程
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
        /// <summary>
        /// 人数
        /// </summary>
        /// <value></value>
        public int UserCount { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class UserInfoByGroupoRoGroupChatResult
    {
        /// <summary>
        /// 1 群聊 2小组 3自建小组
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
        /// <summary>
        /// 群聊小组ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 搜索
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
    }

}