using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Request.Reply;
using GxPress.Result.Reply;

namespace GxPress.Service.Interface.Reply
{
    public interface IReplyService : IService
    {
        /// <summary>
        /// 获取回复我的笔记或者话题
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<IEnumerable<ReplyResult>> GetReplyNoteOrTopicResults(ReplyRequest request);
        string GetTitleText(string content);
        /// <summary>
        /// 获取我收到的赞
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<IEnumerable<ReplyResult>> GetPraiseAsync(ReplyRequest request);
    }
}